Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.jaxb.atomikos.v200510
Class ObjectFactory

    java.lang.Object
      com.atomikos.icatch.jaxb.atomikos.v200510.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the com.atomikos.icatch.jaxb.atomikos.v200510 package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.atomikos.icatch.jaxb.atomikos.v200510

Method Summary
`AddressType` | `createAddressType()` Create an instance of `AddressType`
`CascadeInfoType` | `createCascadeInfoType()` Create an instance of `CascadeInfoType`
`javax.xml.bind.JAXBElement<CommitMessageType>` | `createCommit(CommitMessageType value)` Create an instance of `JAXBElement``<``CommitMessageType``>`}
`CommitMessageType` | `createCommitMessageType()` Create an instance of `CommitMessageType`
`javax.xml.bind.JAXBElement<ErrorMessageType>` | `createError(ErrorMessageType value)` Create an instance of `JAXBElement``<``ErrorMessageType``>`}
`ErrorMessageType` | `createErrorMessageType()` Create an instance of `ErrorMessageType`
`javax.xml.bind.JAXBElement<ExtentType>` | `createExtent(ExtentType value)` Create an instance of `JAXBElement``<``ExtentType``>`}
`ExtentElementType` | `createExtentElementType()` Create an instance of `ExtentElementType`
`ExtentType` | `createExtentType()` Create an instance of `ExtentType`
`javax.xml.bind.JAXBElement<TransactionMessageType>` | `createForget(TransactionMessageType value)` Create an instance of `JAXBElement``<``TransactionMessageType``>`}
`javax.xml.bind.JAXBElement<PrepareMessageType>` | `createPrepare(PrepareMessageType value)` Create an instance of `JAXBElement``<``PrepareMessageType``>`}
`javax.xml.bind.JAXBElement<PreparedMessageType>` | `createPrepared(PreparedMessageType value)` Create an instance of `JAXBElement``<``PreparedMessageType``>`}
`PreparedMessageType` | `createPreparedMessageType()` Create an instance of `PreparedMessageType`
`PrepareMessageType` | `createPrepareMessageType()` Create an instance of `PrepareMessageType`
`javax.xml.bind.JAXBElement<PropagationType>` | `createPropagation(PropagationType value)` Create an instance of `JAXBElement``<``PropagationType``>`}
`PropagationType` | `createPropagationType()` Create an instance of `PropagationType`
`PropertiesType` | `createPropertiesType()` Create an instance of `PropertiesType`
`PropertyType` | `createPropertyType()` Create an instance of `PropertyType`
`javax.xml.bind.JAXBElement<TransactionMessageType>` | `createReplay(TransactionMessageType value)` Create an instance of `JAXBElement``<``TransactionMessageType``>`}
`javax.xml.bind.JAXBElement<TransactionMessageType>` | `createRollback(TransactionMessageType value)` Create an instance of `JAXBElement``<``TransactionMessageType``>`}
`javax.xml.bind.JAXBElement<StateMessageType>` | `createState(StateMessageType value)` Create an instance of `JAXBElement``<``StateMessageType``>`}
`StateMessageType` | `createStateMessageType()` Create an instance of `StateMessageType`
`TransactionMessageType` | `createTransactionMessageType()` Create an instance of `TransactionMessageType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.atomikos.icatch.jaxb.atomikos.v200510

Method Detail

### createExtentType

    public ExtentType createExtentType()

  Create an instance of `ExtentType`

### createExtentElementType

    public ExtentElementType createExtentElementType()

  Create an instance of `ExtentElementType`

### createTransactionMessageType

    public TransactionMessageType createTransactionMessageType()

  Create an instance of `TransactionMessageType`

### createErrorMessageType

    public ErrorMessageType createErrorMessageType()

  Create an instance of `ErrorMessageType`

### createAddressType

    public AddressType createAddressType()

  Create an instance of `AddressType`

### createPropagationType

    public PropagationType createPropagationType()

  Create an instance of `PropagationType`

### createPreparedMessageType

    public PreparedMessageType createPreparedMessageType()

  Create an instance of `PreparedMessageType`

### createPrepareMessageType

    public PrepareMessageType createPrepareMessageType()

  Create an instance of `PrepareMessageType`

### createPropertyType

    public PropertyType createPropertyType()

  Create an instance of `PropertyType`

### createCommitMessageType

    public CommitMessageType createCommitMessageType()

  Create an instance of `CommitMessageType`

### createPropertiesType

    public PropertiesType createPropertiesType()

  Create an instance of `PropertiesType`

### createStateMessageType

    public StateMessageType createStateMessageType()

  Create an instance of `StateMessageType`

### createCascadeInfoType

    public CascadeInfoType createCascadeInfoType()

  Create an instance of `CascadeInfoType`

### createState

    public javax.xml.bind.JAXBElement<StateMessageType> createState(StateMessageType value)

  Create an instance of `JAXBElement``<``StateMessageType``>`}

### createRollback

    public javax.xml.bind.JAXBElement<TransactionMessageType> createRollback(TransactionMessageType value)

  Create an instance of `JAXBElement``<``TransactionMessageType``>`}

### createPrepare

    public javax.xml.bind.JAXBElement<PrepareMessageType> createPrepare(PrepareMessageType value)

  Create an instance of `JAXBElement``<``PrepareMessageType``>`}

### createForget

    public javax.xml.bind.JAXBElement<TransactionMessageType> createForget(TransactionMessageType value)

  Create an instance of `JAXBElement``<``TransactionMessageType``>`}

### createExtent

    public javax.xml.bind.JAXBElement<ExtentType> createExtent(ExtentType value)

  Create an instance of `JAXBElement``<``ExtentType``>`}

### createPropagation

    public javax.xml.bind.JAXBElement<PropagationType> createPropagation(PropagationType value)

  Create an instance of `JAXBElement``<``PropagationType``>`}

### createCommit

    public javax.xml.bind.JAXBElement<CommitMessageType> createCommit(CommitMessageType value)

  Create an instance of `JAXBElement``<``CommitMessageType``>`}

### createError

    public javax.xml.bind.JAXBElement<ErrorMessageType> createError(ErrorMessageType value)

  Create an instance of `JAXBElement``<``ErrorMessageType``>`}

### createPrepared

    public javax.xml.bind.JAXBElement<PreparedMessageType> createPrepared(PreparedMessageType value)

  Create an instance of `JAXBElement``<``PreparedMessageType``>`}

### createReplay

    public javax.xml.bind.JAXBElement<TransactionMessageType> createReplay(TransactionMessageType value)

  Create an instance of `JAXBElement``<``TransactionMessageType``>`}

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.